# Generated from rexical-1.0.7.gem by gem2rpm -*- rpm-spec -*-
%global gem_name rexical

Name: rubygem-%{gem_name}
Version: 1.0.7
Release: 1%{?dist}
Summary: Rexical is a lexical scanner generator that is used with Racc to generate Ruby programs
License: MIT
URL: http://github.com/tenderlove/rexical/tree/master
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(rubocop) >= 0.74.0
# BuildRequires: rubygem(rubocop) < 0.75
# BuildRequires: rubygem(hoe) >= 3.18
# BuildRequires: rubygem(hoe) < 4
BuildArch: noarch

%description
Rexical is a lexical scanner generator that is used with
Racc to generate Ruby programs.
Rexical is written in Ruby.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%{_bindir}/rex
%{gem_instdir}/Manifest.txt
%{gem_instdir}/bin
%{gem_libdir}
%{gem_instdir}/sample
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/CHANGELOG.rdoc
%doc %{gem_instdir}/DOCUMENTATION.en.rdoc
%doc %{gem_instdir}/DOCUMENTATION.ja.rdoc
%doc %{gem_instdir}/README.ja
%doc %{gem_instdir}/README.rdoc
%{gem_instdir}/Rakefile
%{gem_instdir}/test

%changelog
* Tue Sep 14 2021 mockbuilder - 1.0.7-1
- Initial package
